=== debian/changelog ===
verilator (3.916-1build1) bionic; urgency=medium

  * No-change rebuild to pick up the shared flex library.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Feb 2018 07:11:15 +0000

verilator (3.916-1) unstable; urgency=medium

  * New upstream release
  * Dropped patches:
    + fix_spelling.diff, applied upstream
    + fix_smoke.diff, no longer needed
  * Switch to a secure URL in watch file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 26 Nov 2017 01:27:17 +0100

verilator (3.914-2) unstable; urgency=medium

  * fix_spelling.diff patch: remove a wrong fix

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 17 Oct 2017 05:05:20 +0200

verilator (3.914-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.1
  * Update copyright years
  * Add fix_spelling.diff patch to fix spelling errors
  * Add fix_smoke.diff patch to fix smoke test

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 17 Oct 2017 04:13:05 +0200
