=== debian/changelog ===
verilator (3.924-1) unstable; urgency=medium

  [ Dima Kogan ]
  * Moved Vcs-... tags to point to salsa

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release
  * Refresh shebang.diff patch
  * Update standards version
  * Update copyright years
  * Remove autotools-dev from build deps
  * Bumped to compat level 11
  * Override dh_autoreconf to fix FTBFS

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 02 Jul 2018 14:08:42 +0200
