=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 9), autotools-dev, flex, bison, libfl-dev
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11), flex, bison, libfl-dev
+Standards-Version: 4.1.4.2
 Homepage: http://www.veripool.org/wiki/verilator
-Vcs-Git: https://anonscm.debian.org/git/pkg-electronics/verilator.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-electronics/verilator.git
+Vcs-Git: https://salsa.debian.org/electronics-team/verilator.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/verilator
 
 Package: verilator
 Architecture: any
