=== debian/changelog ===
verilator (4.010-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years
  * Update to standards version 4.3.0
  * Bump to compat level 12
  * Refresh patches

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 10 Feb 2019 04:49:41 +0100

verilator (4.008-2) unstable; urgency=medium

  * Promote libsystemc-dev to Recommends
  * Added reproducible_build.diff patch for verilated_vcd_c.cpp to make it
    reproducible.
    Thanks to Anoop Nadig <adn322@nyu.edu>

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 21 Dec 2018 05:18:18 +0100

verilator (4.008-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.2.1, no changes needed
  * Add typos.diff patch to fix spelling mistakes

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 16 Dec 2018 05:59:48 +0100

verilator (4.006-1) unstable; urgency=medium

  * New upstream release
  * Build with SystemC support
  * Suggest libsystemc-dev instead of systemc
  * Updated standards version to 4.2.0
  * shebang.diff patch: add bin_verilator_gantt
  * Only enable SystemC to archs. supported by the library

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 12 Nov 2018 13:38:21 +0100
