=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper (>= 11), flex, bison, libfl-dev
-Standards-Version: 4.1.4.2
+Build-Depends: debhelper (>= 12), flex, bison, libfl-dev, libsystemc-dev [amd64 arm64 i386 kfreebsd-any]
+Standards-Version: 4.3.0
 Homepage: http://www.veripool.org/wiki/verilator
 Vcs-Git: https://salsa.debian.org/electronics-team/verilator.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/verilator
@@ -12,7 +12,8 @@
 Package: verilator
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: gtkwave, systemc
+Recommends: libsystemc-dev
+Suggests: gtkwave
 Description: fast free Verilog simulator
  Verilator is the fastest free Verilog HDL simulator, and beats many commercial
  simulators. It compiles synthesizable Verilog (not test-bench code!), plus
