## verilator 4.016

=== debian/changelog ===
verilator (4.016-3) unstable; urgency=medium

  * Add system-flags.diff patch to honour system flags. (Closes: #931492)
    Thanks to Gianfranco Costamagna <locutusofborg@debian.org>

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 07 Jul 2019 02:53:30 +0200

verilator (4.016-2) unstable; urgency=medium

  * Upload to unstable

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 04 Jul 2019 03:24:56 +0200

verilator (4.016-1) experimental; urgency=medium

  * Imported Upstream version 4.016
  * Refresh patches
  * d/docs: removed TODO

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 19 Jun 2019 03:32:47 +0200

verilator (4.014-1) experimental; urgency=medium

  * Imported Upstream version 4.014
  * Refresh patches

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 13 May 2019 03:52:51 +0200

verilator (4.012-1) experimental; urgency=medium

  * New upstream release
  * Add gbp.conf
  * Refresh patches

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 26 Mar 2019 02:09:40 +0100
